curl --location --request POST 'https://api.adlyfy.dev/api/v1//meta/campaign/traffic?adAccountId' \
--header 'x-api-key;' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"campaignName": "string",
"status": "PAUSED",
"budget": 1,
"budgetType": "DAILY",
"startDate": "string",
"endDate": "string",
"specialAdCategories": [
"NONE"
],
"specialAdCountry": [
"string"
],
"adSetName": "string",
"audienceId": [
"string"
],
"targeting": {
"genders": [
0
],
"ageMin": 18,
"ageMax": 18,
"geoLocations": [
{
"type": "country",
"id": "string"
}
],
"excludedGeoLocations": [
{
"type": "country",
"id": "string"
}
],
"interests": [
{
"id": "string",
"name": "string"
}
],
"behaviors": [
{
"id": "string",
"name": "string"
}
],
"relationshipStatuses": [
0
],
"lifeEvents": [
{
"id": "string",
"name": "string"
}
],
"industries": [
{
"id": "string",
"name": "string"
}
],
"income": [
{
"id": "string",
"name": "string"
}
],
"familyStatuses": {
"id": "string",
"name": "string"
},
"educationSchools": [
{
"id": "string",
"name": "string"
}
],
"educationStatuses": [
"1"
],
"educationMajors": [
{
"id": "string",
"name": "string"
}
],
"workEmployers": [
{
"id": "string",
"name": "string"
}
],
"workPositions": [
{
"id": "string",
"name": "string"
}
],
"locales": [
0
]
},
"creatives": {
"primaryText": "string",
"headline": "string",
"url": "string",
"callToAction": "SIGN_UP",
"imageUrl": "string",
"videoId": "string",
"thumbnailUrl": "string",
"description": "string"
},
"pageid": "string",
"instagramActorId": "LINK_CLICKS",
"optimizationGoal": "LINK_CLICKS",
"conversionLocation": "WEBSITE",
"appId": "string",
"objectStoreUrl": "string"
}'